tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Remove chain from perl modules to TeX

Min Sik Kim <> writes:

> On Sep 25, 2010, at 6:27 AM, OBATA Akio wrote:
>> Is it possible kill following chain?
>>  (some perl module)
>> => devel/p5-Module-Install
>> => devel/p5-PAR-Dist
>> => security/p5-Module-Signature
>> => math/p5-Math-Pari
>> => math-pari
>> => teTeX3-bin and dvipsk
> The attached patch reduces TeX dependencies.  I'll commit it after the freeze 
> unless there is urgent need.

I have not tried your patch, but it looks good on reading.  I think it
would be bad for perl modules to require tex for users of 2010Q3, so I
would be in favor of committing this now and sorting out the
consequences if need be.  (note that i don't sit on the change control
board for pkgsrc, so this is just my opinion!)

Attachment: pgpZN8M1RS5e8.pgp
Description: PGP signature

Home | Main Index | Thread Index | Old Index